org.apache.ignite.internal.processors.rest.client.message

## Class GridClientNodeBean

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientNodeBean

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridClientNodeBean
    extends Object
    implements Externalizable

Node bean.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientNodeBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Map<String,Object>` `getAttributes()` Gets attributes.
`Collection<GridClientCacheBean>` `getCaches()` Gets configured node caches.
`Object` `getConsistentId()`
`GridClientNodeMetricsBean` `getMetrics()` Gets metrics.
`UUID` `getNodeId()` Gets node ID.
`long` `getOrder()` Node order within grid topology.
`Collection<String>` `getTcpAddresses()` Gets REST TCP server addresses.
`Collection<String>` `getTcpHostNames()` Gets REST TCP server host names.
`int` `getTcpPort()` Gets REST binary protocol port.
`int` `hashCode()`
`void` `readExternal(ObjectInput in)`
`void` `setAttributes(Map<String,Object> attrs)` Sets attributes.
`void` `setCaches(Collection<GridClientCacheBean> caches)` Sets configured node caches.
`void` `setConsistentId(Object consistentId)`
`void` `setMetrics(GridClientNodeMetricsBean metrics)` Sets metrics.
`void` `setNodeId(UUID nodeId)` Sets node ID.
`void` `setOrder(long order)` Set node order within grid topology
`void` `setTcpAddresses(Collection<String> tcpAddrs)` Sets REST TCP server addresses.
`void` `setTcpHostNames(Collection<String> tcpHostNames)` Sets REST TCP server host names.
`void` `setTcpPort(int tcpPort)` Sets REST binary protocol port.
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientNodeBean

    public GridClientNodeBean()

### Method Detail

#### getNodeId

    public UUID getNodeId()

Gets node ID.

Returns:
  Node Id.

#### setNodeId

    public void setNodeId(UUID nodeId)

Sets node ID.

Parameters:
  `nodeId` - Node ID.

#### getConsistentId

    public Object getConsistentId()

Returns:
  Consistent ID.

#### setConsistentId

    public void setConsistentId(Object consistentId)

Parameters:
  `consistentId` - New consistent ID.

#### getTcpAddresses

    public Collection<String> getTcpAddresses()

Gets REST TCP server addresses.

Returns:
  REST TCP server addresses.

#### getTcpHostNames

    public Collection<String> getTcpHostNames()

Gets REST TCP server host names.

Returns:
  REST TCP server host names.

#### setTcpAddresses

    public void setTcpAddresses(Collection<String> tcpAddrs)

Sets REST TCP server addresses.

Parameters:
  `tcpAddrs` - REST TCP server addresses.

#### setTcpHostNames

    public void setTcpHostNames(Collection<String> tcpHostNames)

Sets REST TCP server host names.

Parameters:
  `tcpHostNames` - REST TCP server host names.

#### getMetrics

    public GridClientNodeMetricsBean getMetrics()

Gets metrics.

Returns:
  Metrics.

#### setMetrics

    public void setMetrics(GridClientNodeMetricsBean metrics)

Sets metrics.

Parameters:
  `metrics` - Metrics.

#### getAttributes

    public Map<String,Object> getAttributes()

Gets attributes.

Returns:
  Attributes.

#### setAttributes

    public void setAttributes(Map<String,Object> attrs)

Sets attributes.

Parameters:
  `attrs` - Attributes.

#### getTcpPort

    public int getTcpPort()

Gets REST binary protocol port.

Returns:
  Port on which REST binary protocol is bound.

#### getCaches

    public Collection<GridClientCacheBean> getCaches()

Gets configured node caches.

Returns:
  Configured node caches.

#### setCaches

    public void setCaches(Collection<GridClientCacheBean> caches)

Sets configured node caches.

Parameters:
  `caches` - Configured node caches.

#### setTcpPort

    public void setTcpPort(int tcpPort)

Sets REST binary protocol port.

Parameters:
  `tcpPort` - Port on which REST binary protocol is bound.

#### getOrder

    public long getOrder()

Node order within grid topology.

Returns:
  Node startup order.

#### setOrder

    public void setOrder(long order)

Set node order within grid topology

Parameters:
  `order` - Node order within grid topology

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019